BSNL USB Capitel EVDO not working after upgrade to 12.04

Bug #990337 reported by Balakrishnan Nair on 2012-04-28
54
This bug affects 9 people
Affects Status Importance Assigned to Milestone
usb-modeswitch (Ubuntu)
Medium
Mathieu Trudel-Lapierre

Bug Description

lsb_release -rd
Description: Ubuntu 12.04 LTS
Release: 12.04
-----------------------------

I have a BSNL EVDO modem which was working fine on ubuntu 10.10, 11.04 and 11.10. Yesterday after upgrading to 12.04 via update manager, it is not working and not even detected on the network manager. I downloaded ISO (64 bit) and tried a fresh install after formatting the partition, with no effect. Please help.
PS :: tested and ensured it is still working fine on windows

Here is the output on /var/log/usb_modeswitch.log

=============================================================================
USB_ModeSwitch log from Sat Apr 28 12:13:18 2012

Using global config file: /etc/usb_modeswitch.conf

Raw args from udev: /2-1.2:1.0

Bus ID for device not given by udev.
 Trying to determine it from kernel name (2-1.2:1.0) ...
Using top device dir /sys/bus/usb/devices/2-1.2

USB dir exists: /sys/bus/usb/devices/2-1.2

SCSI dir exists: /sys/bus/usb/devices/2-1.2
Warning: SCSI attribute "vendor" not readable.
Warning: SCSI attribute "model" not readable.
Warning: SCSI attribute "rev" not readable.
----------------
USB values from sysfs:
  idVendor 1c9e
  idProduct 9e00
  manufacturer Qualcomm, Incorporated
  product USB MMC Storage
  serial 000000000002
  bNumConfigurations 1
----------------
bNumConfigurations is 1 - don't check for active configuration
Found packed config collection /usr/share/usb_modeswitch/configPack.tar.gz
Searching entries named: /usr/share/usb_modeswitch/1c9e:9e00*
Searching overriding entries named: /etc/usb_modeswitch.d/1c9e:9e00*
SCSI attributes not needed, moving on.

Extracting config 1c9e:9e00 from collection /usr/share/usb_modeswitch/configPack.tar.gz
config: TargetClass set to ff
Driver module is "option", ID path is /sys/bus/usb-serial/drivers/option1
! matched, now switching
Command to be run:
/usr/sbin/usb_modeswitch -I -W -D -s 20 -c /run/usb_modeswitch/current_cfg -u -1 -v 1c9e -p 9e00 2>&1

Verbose debug output of usb_modeswitch and libusb follows
(Note that some USB errors are expected in the process)
--------------------------------

tail: /var/log/usb_modeswitch.log: file truncated

USB_ModeSwitch log from Sat Apr 28 12:13:20 2012

Using global config file: /etc/usb_modeswitch.conf

Raw args from udev: /2-1.2:1.5

Bus ID for device not given by udev.
 Trying to determine it from kernel name (2-1.2:1.5) ...
Using top device dir /sys/bus/usb/devices/2-1.2

USB dir exists: /sys/bus/usb/devices/2-1.2
Warning: USB attribute "serial" not readable.

SCSI dir exists: /sys/bus/usb/devices/2-1.2
Warning: SCSI attribute "vendor" not readable.
Warning: SCSI attribute "model" not readable.
Warning: SCSI attribute "rev" not readable.
----------------
USB values from sysfs:
  idVendor 1c9e
  idProduct 9e00
  manufacturer Qualcomm, Incorporated
  product Qualcomm CDMA Technologies MSM
  serial (null)
  bNumConfigurations 1
----------------
bNumConfigurations is 1 - don't check for active configuration
Found packed config collection /usr/share/usb_modeswitch/configPack.tar.gz
Searching entries named: /usr/share/usb_modeswitch/1c9e:9e00*
Searching overriding entries named: /etc/usb_modeswitch.d/1c9e:9e00*
SCSI attributes not needed, moving on.

Reading config file: /run/usb_modeswitch/current_cfg

 * usb_modeswitch: handle USB devices with multiple modes
 * Version 1.2.3 (C) Josua Dietze 2012
 * Based on libusb0 (0.1.12 and above)

 ! PLEASE REPORT NEW CONFIGURATIONS !

DefaultVendor= 0x1c9e
DefaultProduct= 0x9e00
TargetVendor= not set
TargetProduct= not set
TargetClass= 0xff
TargetProductList=""

DetachStorageOnly=0
HuaweiMode=0
SierraMode=0
SonyMode=0
QisdaMode=0
GCTMode=0
KobilMode=0
SequansMode=0
MobileActionMode=0
CiscoMode=0
MessageEndpoint= not set
MessageContent="55534243123456780000000000000606f50402527000000000000000000000"
NeedResponse=0
ResponseEndpoint= not set

InquireDevice disabled
Success check enabled, max. wait time 20 seconds
System integration mode enabled

Looking for target devices ...
 No devices in target mode or class found
Looking for default devices ...
  searching devices, found USB ID 1d6b:0003
  searching devices, found USB ID 1d6b:0002
  searching devices, found USB ID 1c9e:9e00
   found matching vendor ID
   found matching product ID
   target class ff not matching
   adding device
  searching devices, found USB ID 8087:0024
  searching devices, found USB ID 1d6b:0002
  searching devices, found USB ID 0bda:0139
  searching devices, found USB ID 058f:a014
  searching devices, found USB ID 0cf3:3005
  searching devices, found USB ID 8087:0024
  searching devices, found USB ID 1d6b:0002
 Found device in default mode, class or configuration (1)
Accessing device 007 on bus 002 ...
Skipping the check for the current configuration
Using first interface: 0x00
Using endpoints 0x08 (out) and 0x87 (in)

USB description data (for identification)
-------------------------
Manufacturer: Qualcomm, Incorporated
     Product: USB MMC Storage
  Serial No.: 000000000002
-------------------------
Looking for active driver ...
 OK, driver found ("usb-storage")
 OK, driver "usb-storage" detached
Setting up communication with interface 0
Using endpoint 0x08 for message sending ...
Trying to send message 1 to endpoint 0x08 ...
 OK, message successfully sent
Resetting response endpoint 0x87
Resetting message endpoint 0x08
 Device is gone, skipping any further commands

Checking for mode switch (max. 20 times, once per second) ...
 Searching for target devices ...
  searching devices, found USB ID 1d6b:0003
  searching devices, found USB ID 1d6b:0002
  searching devices, found USB ID 8087:0024
  searching devices, found USB ID 1d6b:0002
  searching devices, found USB ID 0bda:0139
  searching devices, found USB ID 058f:a014
  searching devices, found USB ID 0cf3:3005
  searching devices, found USB ID 8087:0024
  searching devices, found USB ID 1d6b:0002
 Searching for target devices ...
  searching devices, found USB ID 1d6b:0003
  searching devices, found USB ID 1d6b:0002
  searching devices, found USB ID 1c9e:9e00
   found matching vendor ID
   found matching product ID
   target class ff matching
   adding device
  searching devices, found USB ID 8087:0024
  searching devices, found USB ID 1d6b:0002
  searching devices, found USB ID 0bda:0139
  searching devices, found USB ID 058f:a014
  searching devices, found USB ID 0cf3:3005
  searching devices, found USB ID 8087:0024
  searching devices, found USB ID 1d6b:0002

Found target device, now opening

Found target device 008 on bus 002

Target device description data
-------------------------
Manufacturer: Qualcomm, Incorporated
     Product: Qualcomm CDMA Technologies MSM
  Serial No.: not provided
-------------------------
 Found correct target device

Mode switch succeeded. Bye.

ok:1c9e:9e00
--------------------------------
(end of usb_modeswitch output)
Checking success of mode switch for max. 20 seconds ... Reading attributes ...
USB dir exists: /sys/bus/usb/devices/2-1.2
Warning: USB attribute "serial" not readable.
 All attributes matched
Mode switching was successful, found 1c9e:9e00 (Qualcomm, Incorporated: Qualcomm CDMA Technologies MSM)Now checking for bound driver ...
 no driver has bound to interface 0 yet
Device not in "bind_list" yet, bind it now
 modprobe not foundModule loader is (null)
Can't do anymore without module loader; get "modtools"!
 driver binding failed
Checking for AVOID_RESET_QUIRK kernel attribute
 AVOID_RESET_QUIRK activated

All done, exiting

=============================================================================

dmesg output
~~~~~~~~~~~

[ 43.068088] usb 2-1.2: new full-speed USB device number 3 using ehci_hcd
[ 43.189986] Initializing USB Mass Storage driver...
[ 43.190211] scsi7 : usb-storage 2-1.2:1.0
[ 43.190275] usbcore: registered new interface driver usb-storage
[ 43.190276] USB Mass Storage support registered.
[ 43.266543] usbcore: registered new interface driver uas
[ 44.188822] scsi 7:0:0:0: CD-ROM USBModem Disk 2.31 PQ: 0 ANSI: 2
[ 44.195201] sr1: scsi3-mmc drive: 0x/0x caddy
[ 44.195414] sr 7:0:0:0: Attached scsi CD-ROM sr1
[ 44.195487] sr 7:0:0:0: Attached scsi generic sg3 type 5
[ 44.292778] sr1: CDROM (ioctl) error, command: Xpwrite, Read disk info 51 00 00 00 00 00 00 00 02 00
[ 44.292786] sr: Sense Key : Hardware Error [current]
[ 44.292789] sr: Add. Sense: No additional sense information
[ 44.448614] sr1: CDROM (ioctl) error, command: Xpwrite, Read disk info 51 00 00 00 00 00 00 00 02 00
[ 44.448622] sr: Sense Key : Hardware Error [current]
[ 44.448624] sr: Add. Sense: No additional sense information
[ 44.680705] usb 2-1.2: USB disconnect, device number 3
[ 45.903611] usb 2-1.2: new full-speed USB device number 4 using ehci_hcd
[ 45.998999] scsi8 : usb-storage 2-1.2:1.5
[ 46.996804] scsi 8:0:0:0: Direct-Access USBModem Disk 2.31 PQ: 0 ANSI: 2
[ 46.997717] sd 8:0:0:0: Attached scsi generic sg3 type 0
[ 47.003776] sd 8:0:0:0: [sdc] Attached SCSI removable disk
[ 131.624851] usb 2-1.2: USB disconnect, device number 4
[ 137.005910] usb 2-1.2: new full-speed USB device number 5 using ehci_hcd
[ 137.101084] scsi9 : usb-storage 2-1.2:1.0
[ 138.098644] scsi 9:0:0:0: CD-ROM USBModem Disk 2.31 PQ: 0 ANSI: 2
[ 138.106114] sr1: scsi3-mmc drive: 0x/0x caddy
[ 138.106531] sr 9:0:0:0: Attached scsi CD-ROM sr1
[ 138.106811] sr 9:0:0:0: Attached scsi generic sg3 type 5
[ 138.198600] sr1: CDROM (ioctl) error, command: Xpwrite, Read disk info 51 00 00 00 00 00 00 00 02 00
[ 138.198627] sr: Sense Key : Hardware Error [current]
[ 138.198635] sr: Add. Sense: No additional sense information
[ 138.456257] usb 2-1.2: USB disconnect, device number 5
[ 139.677709] usb 2-1.2: new full-speed USB device number 6 using ehci_hcd
[ 139.774058] scsi10 : usb-storage 2-1.2:1.5
[ 140.774624] scsi 10:0:0:0: Direct-Access USBModem Disk 2.31 PQ: 0 ANSI: 2
[ 140.777200] sd 10:0:0:0: Attached scsi generic sg3 type 0
[ 140.783764] sd 10:0:0:0: [sdc] Attached SCSI removable disk
[ 156.867977] usb 2-1.2: USB disconnect, device number 6
[ 216.594721] usb 2-1.1: new full-speed USB device number 7 using ehci_hcd
[ 216.689732] scsi11 : usb-storage 2-1.1:1.0
[ 217.687395] scsi 11:0:0:0: CD-ROM USBModem Disk 2.31 PQ: 0 ANSI: 2
[ 217.694689] sr1: scsi3-mmc drive: 0x/0x caddy
[ 217.695092] sr 11:0:0:0: Attached scsi CD-ROM sr1
[ 217.695397] sr 11:0:0:0: Attached scsi generic sg3 type 5
[ 217.787287] sr1: CDROM (ioctl) error, command: Xpwrite, Read disk info 51 00 00 00 00 00 00 00 02 00
[ 217.787312] sr: Sense Key : Hardware Error [current]
[ 217.787321] sr: Add. Sense: No additional sense information
[ 218.117857] usb 2-1.1: USB disconnect, device number 7
[ 219.338270] usb 2-1.1: new full-speed USB device number 8 using ehci_hcd
[ 219.433452] scsi12 : usb-storage 2-1.1:1.5
[ 220.430998] scsi 12:0:0:0: Direct-Access USBModem Disk 2.31 PQ: 0 ANSI: 2
[ 220.432676] sd 12:0:0:0: Attached scsi generic sg3 type 0
[ 220.438016] sd 12:0:0:0: [sdc] Attached SCSI removable disk

tags: added: 12.10 capitel evdo usb-modem

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/990337/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → usb-modeswitch (Ubuntu)

Hello,

I have added package as "usb-modeswitch", although it could be related to Modem Manager, Network Manger.. sorry, I dont know what else to put. If you can be specific on what is required, I will be happy to provide.

Balakrishnan

Nguyen Anh Minh (minhna) wrote :

My USB 3g is Huawei E173 and I think I got the same problem.
It works on Xubuntu 11.10 but after I upgrade to 12.04 it stops working.

I think the problem is in the usb_modeswitch_dispatcher.

+void check_driver_bind (char* vid, char* pid)
+{
+ char *default_loader = MODPROBE;
+ char *loader = NULL, *id_file;
+ char *vendor_spec, *product_spec;
+ struct stat buf;
+ int i, x, status;
+ pipeline *p;
+ FILE *new_id_f;
+
+ x = lstat (default_loader, &buf);
+ if (x != 0)
+ modeswitch_log (" %s not found", default_loader);
+ else
+ loader = strdup(default_loader);
+ modeswitch_log("Module loader is %s\n", loader);

I don't know much about C++ code but I tried to find the lstat command but it doesn't exist.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in usb-modeswitch (Ubuntu):
status: New → Confirmed
Nguyen Anh Minh (minhna) wrote :

I was wrong about the lstat command doesn't exist, it's a function in C not the command. But it return negetive.
I tried stat command on my PC and here is result:
$ stat /sbin/modprobe
  File: `/sbin/modprobe'
  Size: 59976 Blocks: 120 IO Block: 4096 regular file
Device: 801h/2049d Inode: 4313 Links: 1
Access: (0755/-rwxr-xr-x) Uid: ( 0/ root) Gid: ( 0/ root)
Access: 2012-05-02 17:29:15.095996397 +0700
Modify: 2011-11-21 05:31:01.000000000 +0700
Change: 2012-04-26 21:43:03.597424773 +0700
 Birth: -

summary: - BSNL USB Capitel EVDO not working after upgrade to 12.10
+ BSNL USB Capitel EVDO not working after upgrade to 12.04
Nguyen Anh Minh (minhna) wrote :

I found the way to fix my problem by run this command after plug usb in:
sudo modprobe usbserial vendor=0x12d1 product=0x14a8

Hope this help.

astyonax (astyonax) wrote :

Hi all,

following Nguyen Anh Minh suggestion about the problem in the dispatcher,
I downloaded, compiled the last version and copied the new version of "usb_modeswitch_dispatcher"
over the old one.

Now every thing works correctly.

*) These are the last lines of the logfile:
Now checking for bound driver ...
 no driver has bound to interface 0 yet
Device is not in "bind_list" yet, bind it now
Module loader is /sbin/modprobe

Trying to load module "option"
 Module was loaded successfully:
insmod /lib/modules/3.2.0-23-generic/kernel/drivers/usb/serial/usbserial.ko
insmod /lib/modules/3.2.0-23-generic/kernel/drivers/usb/serial/usb_wwan.ko
insmod /lib/modules/3.2.0-23-generic/kernel/drivers/usb/serial/option.ko
Trying to add ID to driver "option"
 ID added to driver; check for new devices in /dev
 driver was bound to the device
Checking for AVOID_RESET_QUIRK kernel attribute
 AVOID_RESET_QUIRK activated

All done, exiting

*) network manager recognises sooner the new device
*) and I do not have to manually add the usbserial options. :)

*) I think that in the ubuntu version there's simply a bug when detecting the modprobe path.
Last source version in the website is 1.2.3, while in ubuntu I have 1.2.3+repack0-1ubuntu2.

*) here I have a fresh ubuntu installation with only the updates. Compiling the dispatcher is trivial, you just need to
installa libusb-dev, type make and then ./make_static_dispatcher.sh
Ok. not the cleanest way, but ..

cheers,

Stefan Skotte (screemo) wrote :

This worked for me also on 12.04 / 64bit - using Huawei E353 (oister/denmark).

Must be a packaging error or something :)

Download full text (3.1 KiB)

Any update on this ? I really dont want to manually compile and risk it getting broken.

After numerous tries, I was able to get this to work by the following

1) plug the EVDO and wait for the log to show failed as given on my opening thread

2) type "sudo modprobe option"

3) unplug and plug EVDO back in... it will show

=======================================================================
nufacturer: Qualcomm, Incorporated
     Product: USB MMC Storage
  Serial No.: 000000000002
-------------------------
Looking for active driver ...
 OK, driver found ("usb-storage")
 OK, driver "usb-storage" detached
Setting up communication with interface 0
Using endpoint 0x08 for message sending ...
Trying to send message 1 to endpoint 0x08 ...
 OK, message successfully sent
Resetting response endpoint 0x87
Resetting message endpoint 0x08
 Device is gone, skipping any further commands

Checking for mode switch (max. 20 times, once per second) ...
 Searching for target devices ...
  searching devices, found USB ID 1d6b:0003
  searching devices, found USB ID 1d6b:0002
  searching devices, found USB ID 046d:c52b
  searching devices, found USB ID 8087:0024
  searching devices, found USB ID 1d6b:0002
  searching devices, found USB ID 0cf3:3005
  searching devices, found USB ID 0bda:0139
  searching devices, found USB ID 058f:a014
  searching devices, found USB ID 8087:0024
  searching devices, found USB ID 1d6b:0002
 Searching for target devices ...
  searching devices, found USB ID 1d6b:0003
  searching devices, found USB ID 1c9e:9e00
   found matching vendor ID
   found matching product ID
   target class ff matching
   adding device
  searching devices, found USB ID 1d6b:0002
  searching devices, found USB ID 046d:c52b
  searching devices, found USB ID 8087:0024
  searching devices, found USB ID 1d6b:0002
  searching devices, found USB ID 0cf3:3005
  searching devices, found USB ID 0bda:0139
  searching devices, found USB ID 058f:a014
  searching devices, found USB ID 8087:0024
  searching devices, found USB ID 1d6b:0002

Found target device, now opening

Found target device 004 on bus 003

Target device description data
-------------------------
Manufacturer: Qualcomm, Incorporated
     Product: Qualcomm CDMA Technologies MSM
  Serial No.: not provided
-------------------------
 Found correct target device

Mode switch succeeded. Bye.

ok:1c9e:9e00
--------------------------------
(end of usb_modeswitch output)
Checking success of mode switch for max. 20 seconds ... Reading attributes ...
USB dir exists: /sys/bus/usb/devices/3-1
Warning: USB attribute "serial" not readable.
 All attributes matched
Mode switching was successful, found 1c9e:9e00 (Qualcomm, Incorporated: Qualcomm CDMA Technologies MSM)Now checking for bound driver ...
 no driver has bound to interface 0 yet
Device not in "bind_list" yet, bind it now
 modprobe not foundModule loader is (null)
Module is active already
Trying to add ID to driver "option"
 ID added to driver; check for new devices in /dev
 driver binding failed
Checking for AVOID_RESET_QUIRK kernel attribute
 AVOID_RESET_QUIRK activated

All done, exiting
=======================================================================...

Read more...

* Now the EVDO device will be shown on the network manager and I am able to connect. Please let me know why this is happenning.

PS :: sorry for the double post, I accidently clicked on Post before I completed typing.

Josua Dietze (digidietze) wrote :

The problem is clear in the very first post:

...
Device not in "bind_list" yet, bind it now
modprobe not foundModule loader is (null)
Can't do anymore without module loader; get "modtools"!
driver binding failed
...

This is a problem of the C wrapper - maybe the MODPROBE macro is not correct?

usb_modeswitch will try to enable modems even if their ID is not known (compiled in) to the modem driver yet. For this it needs to load the respective module using the "modprobe" tool and then add the modem ID to it on-the-fly.

No. MODPROBE is defined to be 'modprobe' because we want to get the binary from the path. PATH should always be set since it gets retrieved from /lib/udev/hotplug.functions which defines it properly as including /sbin (the location of modprobe). This was working properly before 12.04; so if it's broken, something outside of usb_modeswitch might have changed.

If this was really broken though we'd be getting tons more reports of issues, and I should be able to see it myself, which so far hasn't been the case. I'll get back to testing it ;)

Changed in usb-modeswitch (Ubuntu):
status: Confirmed → Incomplete
importance: Undecided → Medium
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)

Yet it really is broken, I was confused by something else I was working on.

lstat() obviously doesn't take into account PATH, I should have known that and it should have been immediately obvious, since it's so wrong... Uploading the fix to Quantal shortly.

Josua Dietze (digidietze) wrote :

Bug #996664 is a duplicate of this bug

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package usb-modeswitch - 1.2.3+repack0-1ubuntu3

---------------
usb-modeswitch (1.2.3+repack0-1ubuntu3) quantal; urgency=low

  * debian/patches/dispatcher-c-rewrite.patch: correct the "search" for
    modprobe to properly figure out whether it's available from PATH.
    (LP: #990337)
 -- Mathieu Trudel-Lapierre <email address hidden> Mon, 08 Oct 2012 19:39:48 -0400

Changed in usb-modeswitch (Ubuntu):
status: Incomplete → Fix Released
Download full text (5.7 KiB)

Kindly let me know when this will be available as an update.
Also I have now seeing that the connection is getting dropped after being online for 50 min to an hour and the modem disappears from the network manager. I can get the connection back by pulling out and then plugging it back in. But again it will go after 50 min.

Pasting the last few entries from dmesg below.

==================================================================================
[ 165.595394] usb 3-1: new full-speed USB device number 6 using xhci_hcd
[ 165.617213] option 3-1:1.0: GSM modem (1-port) converter detected
[ 165.617497] usb 3-1: GSM modem (1-port) converter now attached to ttyUSB0
[ 165.617766] option 3-1:1.1: GSM modem (1-port) converter detected
[ 165.618024] usb 3-1: GSM modem (1-port) converter now attached to ttyUSB1
[ 165.618262] option 3-1:1.2: GSM modem (1-port) converter detected
[ 165.618519] usb 3-1: GSM modem (1-port) converter now attached to ttyUSB2
[ 165.618791] option 3-1:1.3: GSM modem (1-port) converter detected
[ 165.618979] usb 3-1: GSM modem (1-port) converter now attached to ttyUSB3
[ 165.619205] option 3-1:1.4: GSM modem (1-port) converter detected
[ 165.619472] usb 3-1: GSM modem (1-port) converter now attached to ttyUSB4
[ 165.619949] scsi11 : usb-storage 3-1:1.5
[ 166.620381] scsi 11:0:0:0: Direct-Access USBModem Disk 2.31 PQ: 0 ANSI: 2
[ 166.622644] sd 11:0:0:0: Attached scsi generic sg3 type 0
[ 166.629783] sd 11:0:0:0: [sdc] Attached SCSI removable disk
[ 190.755001] PPP BSD Compression module registered
[ 190.772865] PPP Deflate Compression module registered
[ 1637.535007] kbd_keycode: 27 callbacks suppressed
[ 1637.535016] keyboard: can't emulate rawmode for keycode 240
[ 1637.535035] keyboard: can't emulate rawmode for keycode 240
[ 1637.535042] asus_wmi: Unknown key 57 pressed
[ 1886.505555] keyboard: can't emulate rawmode for keycode 240
[ 1886.505579] keyboard: can't emulate rawmode for keycode 240
[ 1886.505587] asus_wmi: Unknown key 58 pressed
[ 3492.027894] usb 3-1: USB disconnect, device number 6
[ 3492.028343] option: option_instat_callback: error -108
[ 3492.029278] option1 ttyUSB0: GSM modem (1-port) converter now disconnected from ttyUSB0
[ 3492.029323] option 3-1:1.0: device disconnected
[ 3492.029852] xhci_hcd 0000:04:00.0: WARN Cannot submit Set TR Deq Ptr
[ 3492.029860] xhci_hcd 0000:04:00.0: A Set TR Deq Ptr command is pending.
[ 3492.030175] option1 ttyUSB1: GSM modem (1-port) converter now disconnected from ttyUSB1
[ 3492.030222] option 3-1:1.1: device disconnected
[ 3492.030554] option1 ttyUSB2: GSM modem (1-port) converter now disconnected from ttyUSB2
[ 3492.030585] option 3-1:1.2: device disconnected
[ 3492.031374] option1 ttyUSB3: GSM modem (1-port) converter now disconnected from ttyUSB3
[ 3492.031403] option 3-1:1.3: device disconnected
[ 3492.031958] option1 ttyUSB4: GSM modem (1-port) converter now disconnected from ttyUSB4
[ 3492.032004] option 3-1:1.4: device disconnected
[ 3495.250140] usb 3-1: new full-speed USB device number 7 using xhci_hcd
[ 3495.268949] scsi12 : usb-storage 3-1:1.0
[ 3496.268035] scsi 12:0:0:0: CD-ROM USBModem Disk 2.3...

Read more...

Mantas Kriaučiūnas (mantas) wrote :

Shouldn't this usb-modeswitch bug be fixed in Ubuntu 12.04 LTS?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers